Package co.nstant.in.cbor.model

## Class Map

- java.lang.Object
- - co.nstant.in.cbor.model.DataItem
  - - co.nstant.in.cbor.model.Map

-     public class Map
      extends DataItem

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Map()` |
    `Map​(int initialCapacity)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object object)` |
    `DataItem` | `get​(DataItem key)` |
    `Collection<DataItem>` | `getKeys()` |
    `Collection<DataItem>` | `getValues()` |
    `int` | `hashCode()` |
    `boolean` | `isChunked()` |
    `Map` | `put​(DataItem key, DataItem value)` |
    `DataItem` | `remove​(DataItem key)` |
    `co.nstant.in.cbor.model.ChunkableDataItem` | `setChunked​(boolean chunked)` |
    `String` | `toString()` |

    - ### Methods inherited from class co.nstant.in.cbor.model.DataItem

      `assertTrue, getMajorType, getOuterTaggable, getTag, hasTag, removeTag, setTag, setTag`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Map

          public Map()

    - #### Map

          public Map​(int initialCapacity)

  - ### Method Detail

    - #### put

          public Map put​(DataItem key,
                         DataItem value)

    - #### get

          public DataItem get​(DataItem key)

    - #### remove

          public DataItem remove​(DataItem key)

    - #### getKeys

          public Collection<DataItem> getKeys()

    - #### getValues

          public Collection<DataItem> getValues()

    - #### equals

          public boolean equals​(Object object)

    - #### hashCode

          public int hashCode()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isChunked

          public boolean isChunked()

    - #### setChunked

          public co.nstant.in.cbor.model.ChunkableDataItem setChunked​(boolean chunked)